/* fourier_dialog.c - The Geomorph Fourier Explorer dialog
 *
 * Copyright (C) 2005,2006 Patrice St-Gelais
 *         patrstg@users.sourceforge.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "fourier_dialog.h"


fourier_dialog_struct *fourier_dialog_new ( ) {
	fourier_dialog_struct *fds;
	fds = (fourier_dialog_struct *) calloc(1,sizeof(fourier_dialog_struct));
	fds->fs = fourier_struct_new();
	return fds;	
}

void fourier_dialog_free (fourier_dialog_struct *fds) {
	if (!fds)
		return;
	if (fds->fs)
		fourier_struct_free(fds->fs);
	free(fds);
}