/* fourier_dialog.h - Headers for the Geomorph Fourier Explorer dialog
 *
 * Copyright (C) 2005 Patrice St-Gelais
 *         patrstg@users.sourceforge.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef FOURIER_DIALOG_H
#define FOURIER_DIALOG_H

#include <gtk/gtk.h>
#include "fourier.h"

typedef struct {
	fourier_struct *fs;
	GtkWidget *f_modal_dialog;
	gpointer input_buf;
	gpointer output_buf;
	gint max_x;
	gint max_y;
	gint buffer_type;
} fourier_dialog_struct;

fourier_dialog_struct *fourier_dialog_new ();
void fourier_dialog_free (fourier_dialog_struct *fds);

// activate_fourier_dialog feeds the structure with the current height field data
// (or any other image data) and displays the dialog in a modal mode
void activate_fourier_dialog (fourier_dialog_struct *fds, gpointer input_buf, gpointer output_buf, gint max_x, gint max_y, gint data_type);

// unactivate_fourier_dialog hides the modal window, returns the control to
// the main program, and transfers the result into the current HF if the
// user chose "Apply and return" instead of "Cancel and return"
void unactivate_fourier_dialog (fourier_dialog_struct *fds);

#endif
